<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PgpSignatory (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PgpSignatory (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpKeyId.html" title="class in org.gradle.plugins.signing.signatory.pgp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html" title="class in org.gradle.plugins.signing.signatory.pgp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" target="_top">Frames</a></li>
<li><a href="PgpSignatory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.signing.signatory.pgp</div>
<h2 title="Class PgpSignatory" class="title">Class PgpSignatory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/gradle/plugins/signing/signatory/SignatorySupport.html" title="class in org.gradle.plugins.signing.signatory">org.gradle.plugins.signing.signatory.SignatorySupport</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.signing.signatory.pgp.PgpSignatory</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">PgpSignatory</span>
extends <a href="../../../../../../org/gradle/plugins/signing/signatory/SignatorySupport.html" title="class in org.gradle.plugins.signing.signatory">SignatorySupport</a></pre>
<div class="block">PGP signatory from PGP key and password.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html#PgpSignatory(java.lang.String,%20org.bouncycastle.openpgp.PGPSecretKey,%20java.lang.String)">PgpSignatory</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
            org.bouncycastle.openpgp.PGPSecretKey&nbsp;secretKey,
            <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.bouncycastle.openpgp.PGPSignatureGenerator</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html#createSignatureGenerator()">createSignatureGenerator</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpKeyId.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpKeyId</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html#getKeyId()">getKeyId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html#getName()">getName</a></strong>()</code>
<div class="block">An identifying name for this signatory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html#sign(java.io.InputStream,%20java.io.OutputStream)">sign</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;toSign,
    <a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;signatureDestination)</code>
<div class="block">Exhausts <code>toSign</code>, and writes the signature to <code>signatureDestination</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.plugins.signing.signatory.SignatorySupport">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.plugins.signing.signatory.<a href="../../../../../../org/gradle/plugins/signing/signatory/SignatorySupport.html" title="class in org.gradle.plugins.signing.signatory">SignatorySupport</a></h3>
<code><a href="../../../../../../org/gradle/plugins/signing/signatory/SignatorySupport.html#sign(java.io.InputStream)">sign</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PgpSignatory(java.lang.String, org.bouncycastle.openpgp.PGPSecretKey, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PgpSignatory</h4>
<pre>public&nbsp;PgpSignatory(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
            org.bouncycastle.openpgp.PGPSecretKey&nbsp;secretKey,
            <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getKeyId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeyId</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpKeyId.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpKeyId</a>&nbsp;getKeyId()</pre>
</li>
</ul>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../../org/gradle/plugins/signing/signatory/Signatory.html#getName()">Signatory</a></code></strong></div>
<div class="block"><p>An identifying name for this signatory.</p>

 <p>The name must be constant for the life of the signatory and should uniquely identify it within a project.</p></div>
</li>
</ul>
<a name="sign(java.io.InputStream, java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sign</h4>
<pre>public&nbsp;void&nbsp;sign(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;toSign,
        <a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;signatureDestination)</pre>
<div class="block">Exhausts <code>toSign</code>, and writes the signature to <code>signatureDestination</code>.

 The caller is responsible for closing the streams, though the output WILL be flushed.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>toSign</code> - The source of the data to be signed</dd><dd><code>signatureDestination</code> - Where the signature will be written to</dd></dl>
</li>
</ul>
<a name="createSignatureGenerator()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createSignatureGenerator</h4>
<pre>public&nbsp;org.bouncycastle.openpgp.PGPSignatureGenerator&nbsp;createSignatureGenerator()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpKeyId.html" title="class in org.gradle.plugins.signing.signatory.pgp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html" title="class in org.gradle.plugins.signing.signatory.pgp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" target="_top">Frames</a></li>
<li><a href="PgpSignatory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
